Advanced reasoning with enhanced multi-step analysis
Sonar Chat Completions has been superseded by the Agent API (POST /v1/agent). This page is kept as a legacy reference. Asynchronous Sonar requests are no longer supported; use background mode in the Agent API instead. For ranked web search results with page text and no generated answer, use the Search API (POST /search). See the Sonar to Agent API migration guide.
A high-performance reasoning model leveraging advanced multi-step Chain-of-Thought (CoT) reasoning and enhanced information retrieval for complex problem-solving.
sonar-reasoning was deprecated on December 15, 2025. Use sonar-reasoning-pro for improved reasoning capabilities.
Using image input with structured outputs is not supported in thinking models.
Strategic decision making with comprehensive analysis
curl --request POST \ --url https://api.perplexity.ai/v1/sonar \ --header "Authorization: Bearer <token>" \ --header "Content-Type: application/json" \ --data '{ "model": "sonar-reasoning-pro", "messages": [ { "role": "user", "content": "Analyze the feasibility of fusion energy becoming a mainstream power source by 2040." } ] }' | jq
import requestsurl = "https://api.perplexity.ai/v1/sonar"payload = { "model": "sonar-reasoning-pro", "messages": [ {"role": "user", "content": "Analyze the feasibility of fusion energy becoming a mainstream power source by 2040."} ]}headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json"}response = requests.post(url, json=payload, headers=headers)print(response.json())
The sonar-reasoning-pro model is designed to output a <think> section containing reasoning tokens, immediately followed by a valid JSON object. As a result, the response_format parameter does not remove these reasoning tokens from the output. We recommend using a custom parser to extract the valid JSON portion, and an example implementation can be found here.
Sample Response Metadata
Success Response
{"id": "f9a5c42b-a53f-4c63-8e68-80d927221e7a","model": "sonar-reasoning-pro","created": 1756486858,"usage": { "prompt_tokens": 17, "completion_tokens": 1152, "total_tokens": 1169, "search_context_size": "low", "cost": { "input_tokens_cost": 0.0, "output_tokens_cost": 0.009, "request_cost": 0.006, "total_cost": 0.015 }},"citations": [ "https://pubs.aip.org/physicstoday/article/77/12/22/3321123/UK-coalition-gears-up-to-demonstrate-commercial", "https://energy.mit.edu/news/mit-study-shows-that-fusion-energy-could-play-a-major-role-in-the-global-response-to-climate-change/", "https://www.world-nuclear-news.org/Articles/US-could-operate-a-fusion-plant-by-2040-Academy-sa", "https://www.youtube.com/watch?v=qUkn8FarAcw", "https://world-nuclear.org/information-library/current-and-future-generation/nuclear-fusion-power"],"search_results": [ { "title": "UK coalition gears up to demonstrate commercial viability of ...", "url": "https://pubs.aip.org/physicstoday/article/77/12/22/3321123/UK-coalition-gears-up-to-demonstrate-commercial", "date": "2024-12-01", "last_updated": "2025-05-24", "snippet": "The UK plans to build a prototype fusion plant by the early 2040s that can put electricity on the grid and demonstrates that fusion energy is commercially ...See more" }, { "title": "MIT study shows that fusion energy could play a major role ...", "url": "https://energy.mit.edu/news/mit-study-shows-that-fusion-energy-could-play-a-major-role-in-the-global-response-to-climate-change/", "date": "2024-10-16", "last_updated": "2024-10-18", "snippet": "Experts in energy systems modeling and fusion technology explore the future role of fusion at various costs and carbon constraints." }, { "title": "US could operate a fusion plant by 2040, Academy says", "url": "https://www.world-nuclear-news.org/Articles/US-could-operate-a-fusion-plant-by-2040-Academy-sa", "date": "2021-03-12", "last_updated": "2024-12-22", "snippet": "It identifies key goals and innovations needed to support the development of a US fusion pilot plant, many of which it says should be developed ...See more" }, { "title": "MIT Cracked Nuclear Fusion.. And it Might Have Just ...", "url": "https://www.youtube.com/watch?v=qUkn8FarAcw", "date": "2025-05-31", "last_updated": "2025-08-23", "snippet": "This single breakthrough from MIT may have just triggered the beginning of the end for the global oil industry." }, { "title": "Nuclear Fusion Power", "url": "https://world-nuclear.org/information-library/current-and-future-generation/nuclear-fusion-power", "date": "2025-06-05", "last_updated": "2025-08-29", "snippet": "STEP is scheduled for completion in 2040. In February 2022 researchers at JET achieved 59 megajoules of heat energy from fusion over a five- ...See more" }],"object": "chat.completion","choices": [ { "index": 0, "finish_reason": "stop", "message": { "role": "assistant", "content": "<think>\nThe user is asking me to analyze the feasibility of fusion energy becoming a mainstream power source by 2040. Let me look at the search results to see what information is available about fusion energy timelines and viability.\n\nFrom the search results:\n\n1. UK STEP program plans to build a prototype fusion plant by early 2040s that can put electricity on the grid and demonstrate commercial viability. Goal is to produce about 100 MW of net electricity.\n\n2. MIT study shows fusion technologies may be a decade away from commercial deployment, with focus on determining what cost levels fusion plants must reach by 2050 to achieve strong market penetration.\n\n3. US could operate a fusion pilot plant by 2040 according to the National Academy. The report suggests the US is positioned to begin planning its first fusion pilot plant now to meet the challenge of operating between 2035 and 2040.\n\n4. YouTube video discussing MIT breakthrough and market projections of $80 billion by 2035 and $350 billion by 2050.\n\n5. World Nuclear Association mentions STEP scheduled for completion in 2040, and various tokamak projects including ITER operating in the 2020s and CFETR due for completion in 2030.\n\nSo I need to analyze the feasibility based on:\n- Technical challenges and progress\n- Timeline considerations \n- Economic factors\n- Current projects and milestones\n\nThe query is asking for analysis, so I should provide a comprehensive assessment covering different aspects. This seems like it would benefit from multiple sections since it's a complex topic.\n\nLet me structure this as:\n- Current state and recent progress\n- Technical challenges \n- Timeline analysis\n- Economic considerations\n- Conclusion on feasibility\n\nI need to be careful about the restrictions - no hedging language, no \"according to search results\" phrases, cite sources appropriately, use past tense for events that happened before the current date (August 29, 2025).\n</think>\n\nThe prospect of fusion energy becoming a mainstream power source by 2040 represents one of the most ambitious technological challenges of our time, with significant progress being made but substantial hurdles remaining.\n\n## Current State and Recent Breakthroughs\n\nMultiple major projects are converging on the 2040 timeline with varying degrees of ambition. The UK's Spherical Tokamak for Energy Production (STEP) program aims to build a prototype fusion plant by the early 2040s that can deliver electricity to the grid and demonstrate commercial viability, targeting approximately 100 MW of net electricity output[1]. The United States has positioned itself to operate a fusion pilot plant between 2035 and 2040, with the National Academy concluding that requisite resources and planning can support this timeline[3].\n\nSeveral critical technological milestones have been achieved in recent years. The Joint European Torus (JET) achieved 59 megajoules of heat energy from fusion, while multiple tokamak facilities continue advancing the science[5]. The international ITER project, currently under construction in France, will become the largest tokamak when it operates in the 2020s, providing crucial data for commercial development[5].\n\n## Technical and Engineering Challenges\n\nThe technical demands for achieving mainstream fusion power by 2040 are **formidable**. Current fusion technologies face three primary engineering challenges: achieving sustained net energy output, maintaining adequate tritium supply for fuel, and demonstrating long-term operational maintenance capabilities[1]. Even successful projects like STEP acknowledge these goals as \"massively ambitious\" but \"just about doable\"[1].\n\nThe transition from experimental reactors to commercial power plants requires solving complex materials science problems, particularly regarding radiation-resistant components and magnetic confinement systems. The Chinese Fusion Engineering Test Reactor (CFETR), designed to be larger than ITER and scheduled for completion in 2030, represents a critical stepping stone toward commercial viability[5].\n\n## Economic Feasibility and Market Dynamics\n\nEconomic projections suggest the fusion market could reach $80 billion by 2035 and potentially exceed $350 billion by 2050[4]. However, research indicates that fusion technologies may still be a decade away from commercial deployment, with detailed costs of future commercial fusion power plants remaining uncertain[2].\n\nThe economic viability of fusion power will depend heavily on achieving competitive cost levels compared to other energy sources, including conventional fossil fuels, nuclear fission, renewable energy, and storage technologies[2]. Regulatory frameworks will play a crucial role as cost drivers, potentially creating significant barriers or enablers depending on policy approaches[2].\n\n## Timeline Reality Check\n\nWhile pilot plants and demonstration facilities may operate by 2040, achieving **mainstream** adoption requires distinguishing between proving technical feasibility and scaling to widespread commercial deployment. The evidence suggests 2040 will likely mark the beginning of commercial demonstration rather than mainstream adoption.\n\nResearch emphasizes that if cost and performance targets can be achieved, fusion energy can play a major role in meeting future electricity needs and achieving global net-zero carbon goals[2]. However, this transition will more likely occur in the latter half of the century rather than by 2040.\n\n## Assessment of 2040 Feasibility\n\nFusion energy becoming a mainstream power source by 2040 faces significant feasibility constraints. While multiple pilot plants and demonstration facilities will likely operate by this date, true mainstream adoption requires overcoming substantial technical, economic, and scaling challenges that extend beyond the 2040 timeline.\n\nThe convergence of major international projects, substantial investment flows, and recent technical breakthroughs creates a foundation for commercial fusion power. However, the transition from demonstration to mainstream deployment typically requires additional decades for technology maturation, cost reduction, and infrastructure development. The 2040s will more realistically represent the **beginning** of the commercial fusion era rather than its mainstream adoption." }, "delta": { "role": "assistant", "content": "" } }]}
Cost Breakdown for Sample Request
Token Usage
Prompt Tokens: 17
Completion Tokens: 1152
Search Context Size: Low
1
Calculate Input Tokens Cost
17 tokens ÷ 1,000,000 × $2 = $0.000034
2
Calculate Output Tokens Cost
1152 tokens ÷ 1,000,000 × $8 = $0.009216
3
Calculate Search Context Cost
1 request × $6 ÷ 1,000 = $0.006
4
Calculate Total Cost
$0.000034 + $0.009216 + $0.006 = $0.015250
Total cost for this request: $0.015250
⌘I
{"docsConfig":{"theme":"almond","$schema":"https://mintlify.com/docs.json","name":"Perplexity","description":"Perplexity API docs. Search: ranked web results with extracted page text for your own model. Context: Markdown, HTML, links, query highlights, and metadata from known URLs. Agent: hosted models with web search and tools, returning a cited answer. Decisions: calibrated probabilities. Orchestrator: OpenAI- and Anthropic-format routing. Embeddings: vectors.","colors":{"primary":"#121516","light":"#F7F7F8","dark":"#121516"},"logo":{"light":"https://mintcdn.com/perplexity/gHf_T6roVjp3yaJv/logo/Perplexity_API_Platform.svg?fit=max\u0026auto=format\u0026n=gHf_T6roVjp3yaJv\u0026q=85\u0026s=07cab879ca2ce031bbc3da8b20f7ab90","dark":"https://mintcdn.com/perplexity/gHf_T6roVjp3yaJv/logo/Perplexity_API_Platform_Light.svg?fit=max\u0026auto=format\u0026n=gHf_T6roVjp3yaJv\u0026q=85\u0026s=416d5342d11094201b851dcf3eabdc9d","href":"/docs/getting-started/overview"},"favicon":"https://mintcdn.com/perplexity/1nonjPul2rlRMt-c/favicon.png?fit=max\u0026auto=format\u0026n=1nonjPul2rlRMt-c\u0026q=85\u0026s=f095c28dbad15e333c62683681f3ec20","api":{"examples":{"defaults":"required"}},"background":{"color":{"light":"#F7F7F8","dark":"#121516"}},"navbar":{"primary":{"type":"button","label":"Get Started","href":"https://console.perplexity.ai"}},"footer":{"socials":{"x":"https://x.com/perplexitydevs","discord":"https://discord.com/invite/perplexity-ai","website":"https://community.perplexity.ai"}},"search":{"prompt":"Search"},"seo":{"metatags":{"google-site-verification":"l-0uTKc1Uf60LaNt0Pkw1wLOBFEKoBIhUrv0EMr1J4U"},"indexing":"navigable"},"fonts":{"family":"GT Standard","weight":300,"source":"fonts/GT-Standard-S-Standard-Light.woff2","format":"woff2"},"icons":{"library":"tabler"},"banner":{"content":"For AI agents: see the complete [llms.txt](/llms.txt) documentation index.","dismissible":true},"errors":{"404":{"redirect":false,"title":"Page not found","description":"The page you're looking for doesn't exist. Try the [documentation home](/docs/getting-started/overview) or search above."}},"contextual":{"options":["copy","view","perplexity"],"display":"header"},"interaction":{"drilldown":false},"metadata":{"timestamp":false},"styling":{"latex":true},"navigation":{"global":{"anchors":[{"anchor":"Community","icon":{"style":"regular","name":"message-circle"},"href":"https://community.perplexity.ai"},{"anchor":"Blog","icon":{"style":"regular","name":"pencil"},"href":"https://research.perplexity.ai/articles"},{"anchor":"Changelog","icon":{"style":"regular","name":"clock"},"href":"/docs/resources/changelog"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"perplexity","hasAudioNarration":false,"actualSubdomain":"perplexity","customDomains":["docs.perplexity.ai"],"gitSource":{"type":"github","owner":"ppl-ai","repo":"api-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"CONTEXTUAL_FEEDBACK":{"status":"ENABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6afd9294c83bd67fa977b2a3","clientVersion":"0.0.4205","searchFilterCounts":[{"language":"default","tag":"Docs","count":108},{"language":"default","tag":"Cookbook","count":98},{"language":"default","tag":"Agent API","count":56},{"language":"default","tag":"API Reference","count":48},{"language":"default","tag":"Examples","count":31},{"language":"default","tag":"Resources","count":28},{"language":"default","tag":"Integrations","count":21},{"language":"default","tag":"Guides","count":20},{"language":"default","tag":"Monitor API","count":14},{"language":"default","tag":"Search API","count":13}]},"assistantConfig":{"enableStarterQuestions":true},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"starter-pricing","enabled":true,"variant":{"name":"control","enabled":true,"payload":{"type":"string","value":"control"},"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"wildcard-email-auth","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"starterQuestions":[{"_id":"6983db9dfb7ad2556f59e58e","deploymentId":"65a9ccde8bfbe120a55f6d5b","questionText":"What is the Agent API?","status":"active","generatedBy":"manual","createdAt":"2026-02-04T23:51:57.148Z","updatedAt":"2026-02-13T03:11:32.396Z","__v":0},{"_id":"6983db84fb7ad2556f59e4ee","deploymentId":"65a9ccde8bfbe120a55f6d5b","questionText":"Which Agent API model should I use?","status":"active","generatedBy":"manual","createdAt":"2026-02-04T23:51:32.666Z","updatedAt":"2026-02-13T03:11:40.522Z","__v":0},{"_id":"6983db82fb7ad2556f59e4e1","deploymentId":"65a9ccde8bfbe120a55f6d5b","questionText":"How do I create an API key?","status":"active","generatedBy":"manual","createdAt":"2026-02-04T23:51:30.248Z","updatedAt":"2026-02-06T16:17:57.191Z","__v":0}],"googleFontsInlined":false},"customCss":[{"filePath":"styles.css","href":"/_mintlify/custom/perplexity/5ab0b2119d0414e2/styles.css"}],"page":{"pagePath":"docs/legacy/sonar/models/sonar-reasoning-pro","slug":"/docs/legacy/sonar/models/sonar-reasoning-pro","pageMetadata":{"hidden":true,"title":"Sonar Reasoning Pro (Legacy — Superseded by Agent API)","sidebarTitle":"Sonar Reasoning Pro","description":"Legacy Sonar documentation (superseded by the Perplexity Agent API at POST /v1/agent). Learn about Sonar Reasoning Pro for advanced multi-step reasoning, including pricing and API usage.","mode":"frame","href":"/docs/legacy/sonar/models/sonar-reasoning-pro","hiddenSetByFrontmatter":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Legacy Sonar documentation (superseded by the Perplexity Agent API at POST /v1/agent). Learn about Sonar Reasoning Pro for advanced multi-step reasoning, including pricing and API usage.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];const SonarLegacyNotice=()=>{const _components={a:`a`,..._provideComponents()},{Warning}=_components;if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(Warning,{children:[_jsxs(`strong`,{children:[`Sonar Chat Completions has been superseded by the `,_jsx(_components.a,{href:`/docs/agent-api/quickstart`,children:`Agent API`}),` (`,_jsx(`code`,{children:`POST /v1/agent`}),`).`]}),` This page is kept as a legacy reference. Asynchronous Sonar requests are no longer supported; use `,_jsx(_components.a,{href:`/docs/agent-api/background-mode`,children:`background mode`}),` in the Agent API instead. For ranked web search results with page text and no generated answer, use the `,_jsx(_components.a,{href:`/docs/search/quickstart`,children:`Search API`}),` (`,_jsx(`code`,{children:`POST /search`}),`). See the `,_jsx(_components.a,{href:`/docs/agent-api/migrate-from-sonar/overview`,children:`Sonar to Agent API migration guide`}),`.`]})};function _createMdxContent(props){const _components={a:`a`,code:`code`,li:`li`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,ul:`ul`,..._provideComponents(),...props.components},{Accordion,Check,CodeBlock,CodeGroup,Info,Note,OptimizedImage,Step,Steps,Warning,_MdxComponentBoundary}=_components;if(!Accordion)_missingMdxReference(`Accordion`,true);if(!Check)_missingMdxReference(`Check`,true);if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!CodeGroup)_missingMdxReference(`CodeGroup`,true);if(!Info)_missingMdxReference(`Info`,true);if(!Note)_missingMdxReference(`Note`,true);if(!OptimizedImage)_missingMdxReference(`OptimizedImage`,true);if(!Step)_missingMdxReference(`Step`,true);if(!Steps)_missingMdxReference(`Steps`,true);if(!Warning)_missingMdxReference(`Warning`,true);if(!_MdxComponentBoundary)_missingMdxReference(`_MdxComponentBoundary`,true);return _jsxs(_Fragment,{children:[_jsx(`div`,{className:`mint-px-8 mint-pt-8`,children:_jsxs(_components.a,{href:`/docs/legacy/sonar/models`,className:`mint-inline-flex mint-items-center text-muted-foreground hover:text-foreground mint-transition-colors mint-text-sm`,children:[_jsx(`svg`,{className:`mint-w-4 mint-h-4 mint-mr-2`,fill:`none`,stroke:`currentColor`,viewBox:`0 0 24 24`,children:_jsx(`path`,{strokeLinecap:`round`,strokeLinejoin:`round`,strokeWidth:2,d:`M15 19l-7-7 7-7`})}),_jsx(_components.p,{children:`Models`})]})}),`\n`,_jsxs(`div`,{className:`mint-w-[80%] mint-max-w-5xl mint-mx-auto mint-px-8 sm:mint-px-8 lg:mint-px-12 xl:mint-px-16`,children:[_jsx(`div`,{className:`mint-text-white mint-px-8 mint-pt-8 mint-rounded-xl mint-mb-8`,children:_jsxs(`div`,{className:`mint-max-w-6xl mint-mx-auto`,children:[_jsxs(`div`,{className:`mint-mb-8`,children:[_jsx(`div`,{className:`mint-w-full mint-h-48 mint-rounded-lg mint-mb-6`,style:{backgroundImage:`var(--sonar-reasoning-pro-banner)`,backgroundRepeat:`no-repeat`,backgroundSize:`cover`,backgroundPosition:`center`}}),_jsx(`div`,{className:`mint-flex mint-items-center mint-justify-between`,children:_jsxs(`div`,{className:`mint-flex items-left mint-gap-2 mint-flex-col`,children:[_jsx(`h1`,{className:`mint-text-3xl mint-font-semibold text-foreground`,children:`Sonar Reasoning Pro`}),_jsx(`p`,{className:`mint-text-sm text-muted-foreground`,children:`Advanced reasoning with enhanced multi-step analysis`})]})})]}),_jsx(_MdxComponentBoundary,{name:`SonarLegacyNotice`,children:_jsx(SonarLegacyNotice,{})}),_jsxs(`div`,{className:`mint-text-left mint-w-full mint-pt-8 mint-border-b mint-border-t border-border mint-py-8`,children:[_jsx(`p`,{className:`mint-text-lg text-foreground mint-leading-relaxed`,children:_jsx(_components.p,{children:`A high-performance reasoning model leveraging advanced multi-step Chain-of-Thought (CoT) reasoning and enhanced information retrieval for complex problem-solving.`})}),_jsx(`p`,{className:`mint-mt-4 mint-text-sm text-muted-foreground`,children:_jsxs(_components.p,{children:[_jsx(`code`,{children:`sonar-reasoning`}),` was deprecated on December 15, 2025. Use `,_jsx(`code`,{children:`sonar-reasoning-pro`}),` for improved reasoning capabilities.`]})}),_jsx(`div`,{className:`mint-mt-6`,children:_jsx(Warning,{children:_jsx(_components.p,{children:`Using image input with structured outputs is not supported in thinking models.`})})})]})]})}),_jsxs(`div`,{className:`mint-px-8 mint-border-b border-border mint-pb-8 mint-max-w-6xl mint-mx-auto`,children:[_jsxs(`div`,{className:`mint-flex items-left mint-gap-2 mint-flex-col`,children:[_jsx(`h2`,{className:`mint-text-lg mint-font-semibold mint-text-left text-foreground`,children:`Pricing`}),_jsx(_components.a,{className:`mint-text-left text-muted-foreground mint-mb-8 mint-text-sm`,href:`/docs/getting-started/pricing`,style:{textDecoration:`underline`},children:`See the full pricing and search context size guide.`})]}),_jsxs(`div`,{className:`mint-grid mint-grid-cols-1 md:mint-grid-cols-3 mint-gap-2`,children:[_jsx(`div`,{className:`bg-card mint-p-4 mint-rounded-lg mint-border border-border`,children:_jsxs(`div`,{className:`mint-text-left`,children:[_jsx(`div`,{className:`mint-mb-6`,children:_jsx(`h3`,{className:`mint-text-sm mint-font-semibold text-foreground`,children:`Input Tokens`})}),_jsx(`div`,{className:`mint-flex mint-justify-center mint-items-center`,children:_jsx(`span`,{className:`mint-text-xl text-foreground mint-font-mono`,children:`$2`})}),_jsx(`div`,{className:`mint-text-center mint-mt-2`,children:_jsx(`span`,{className:`mint-text-xs text-muted-foreground`,children:`Per 1M Tokens`})})]})}),_jsx(`div`,{className:`bg-card mint-p-4 mint-rounded-lg mint-border border-border`,children:_jsxs(`div`,{className:`mint-text-left`,children:[_jsx(`div`,{className:`mint-mb-6`,children:_jsx(`h3`,{className:`mint-text-sm mint-font-semibold text-foreground`,children:`Output Tokens`})}),_jsx(`div`,{className:`mint-flex mint-justify-center mint-items-center`,children:_jsx(`span`,{className:`mint-text-xl text-foreground mint-font-mono`,children:`$8`})}),_jsx(`div`,{className:`mint-text-center mint-mt-2`,children:_jsx(`span`,{className:`mint-text-xs text-muted-foreground`,children:`Per 1M Tokens`})})]})}),_jsx(`div`,{className:`bg-card mint-p-4 mint-rounded-lg mint-border border-border`,children:_jsxs(`div`,{className:`mint-text-left`,children:[_jsx(`h3`,{className:`mint-text-sm mint-font-semibold text-foreground mint-mb-2`,children:`Price Per 1K Requests`}),_jsx(`p`,{className:`mint-text-xs text-muted-foreground mint-mb-6`}),_jsxs(`div`,{className:`mint-space-y-2`,children:[_jsxs(`div`,{className:`mint-flex mint-justify-between mint-items-center`,children:[_jsx(`span`,{className:`mint-text-xl text-foreground mint-font-mono`,children:`$14`}),_jsx(`span`,{className:`mint-text-xl text-foreground mint-font-mono`,children:`$10`}),_jsx(`span`,{className:`mint-text-xl text-foreground mint-font-mono`,children:`$6`})]}),_jsxs(`div`,{className:`mint-flex mint-justify-between mint-items-center`,children:[_jsx(`span`,{className:`mint-text-xs text-muted-foreground`,children:`High`}),_jsx(`span`,{className:`mint-text-xs text-muted-foreground`,children:`Medium`}),_jsx(`span`,{className:`mint-text-xs text-muted-foreground`,children:`Low`})]})]})]})})]})]}),_jsxs(`div`,{className:`mint-px-8 mint-border-b border-border mint-py-8`,children:[_jsx(`h2`,{className:`mint-text-lg mint-font-semibold mint-text-left text-foreground mint-mb-8`,children:`Features`}),_jsxs(`div`,{className:`mint-grid mint-grid-cols-1 md:mint-grid-cols-2 mint-gap-8`,children:[_jsxs(`div`,{className:`mint-space-y-6`,children:[_jsxs(`div`,{className:`mint-flex mint-items-start mint-gap-4`,children:[_jsx(`div`,{className:`mint-w-8 mint-h-8 mint-flex mint-items-center mint-justify-center mint-flex-shrink-0`,children:_jsx(OptimizedImage,{src:`https://mintlify-assets.b-cdn.net/perplexity/arrow.svg`,alt:`Arrow`,className:`mint-w-8 mint-h-8`})}),_jsx(`div`,{children:_jsx(`h3`,{className:`mint-font-medium mint-mb-2`,children:`Advanced reasoning model`})})]}),_jsxs(`div`,{className:`mint-flex mint-items-start mint-gap-4`,children:[_jsx(`div`,{className:`mint-w-8 mint-h-8 mint-flex mint-items-center mint-justify-center mint-flex-shrink-0`,children:_jsx(OptimizedImage,{src:`https://mintlify-assets.b-cdn.net/perplexity/searchicon.svg`,alt:`Search`,className:`mint-w-8 mint-h-8`})}),_jsx(`div`,{children:_jsx(`h3`,{className:`mint-font-medium mint-mb-2`,children:`Enhanced Chain-of-Thought (CoT) reasoning`})})]}),_jsxs(`div`,{className:`mint-flex mint-items-start mint-gap-4`,children:[_jsx(`div`,{className:`mint-w-8 mint-h-8 mint-flex mint-items-center mint-justify-center mint-flex-shrink-0`,children:_jsx(OptimizedImage,{src:`https://mintlify-assets.b-cdn.net/perplexity/lengthicon.svg`,alt:`Length`,className:`mint-w-8 mint-h-8`})}),_jsx(`div`,{children:_jsx(`h3`,{className:`mint-font-medium mint-mb-2`,children:`128K context length`})})]})]}),_jsxs(`div`,{className:`mint-space-y-6`,children:[_jsxs(`div`,{className:`mint-flex mint-items-start mint-gap-4`,children:[_jsx(`div`,{className:`mint-w-8 mint-h-8 mint-flex mint-items-center mint-justify-center mint-flex-shrink-0`,children:_jsx(OptimizedImage,{src:`https://mintlify-assets.b-cdn.net/perplexity/speedicon.svg`,alt:`Speed`,className:`mint-w-8 mint-h-8`})}),_jsx(`div`,{children:_jsx(`h3`,{className:`mint-font-medium mint-mb-2`,children:`Best for complex multi-step reasoning tasks`})})]}),_jsxs(`div`,{className:`mint-flex mint-items-start mint-gap-4`,children:[_jsx(`div`,{className:`mint-w-8 mint-h-8 mint-flex mint-items-center mint-justify-center mint-flex-shrink-0`,children:_jsx(OptimizedImage,{src:`https://mintlify-assets.b-cdn.net/perplexity/lockicon.svg`,alt:`Lock`,className:`mint-w-8 mint-h-8`})}),_jsx(`div`,{children:_jsx(`h3`,{className:`mint-font-medium mint-mb-2`,children:`No training on customer data`})})]})]})]})]}),_jsxs(`div`,{className:`mint-px-8 mint-border-b border-border mint-py-8`,children:[_jsx(`h2`,{className:`mint-text-lg mint-font-semibold mint-text-left text-foreground mint-mb-8`,children:`Real World Use Cases`}),_jsxs(`div`,{className:`mint-grid mint-grid-cols-1 md:mint-grid-cols-3 mint-gap-8`,children:[_jsxs(`div`,{className:`mint-flex mint-items-start mint-gap-4`,children:[_jsx(`div`,{className:`mint-w-8 mint-h-8 mint-flex mint-items-center mint-justify-center mint-flex-shrink-0`,children:_jsx(OptimizedImage,{src:`https://mintlify-assets.b-cdn.net/perplexity/glasses.svg`,alt:`Complex Analysis`,className:`mint-w-8 mint-h-8`})}),_jsx(`div`,{children:_jsx(`h3`,{className:`mint-font-medium mint-mb-2`,children:`Complex multi-step analysis and reasoning`})})]}),_jsxs(`div`,{className:`mint-flex mint-items-start mint-gap-4`,children:[_jsx(`div`,{className:`mint-w-8 mint-h-8 mint-flex mint-items-center mint-justify-center mint-flex-shrink-0`,children:_jsx(OptimizedImage,{src:`https://mintlify-assets.b-cdn.net/perplexity/search.svg`,alt:`Research`,className:`mint-w-8 mint-h-8`})}),_jsx(`div`,{children:_jsx(`h3`,{className:`mint-font-medium mint-mb-2`,children:`Advanced research with deep reasoning`})})]}),_jsxs(`div`,{className:`mint-flex mint-items-start mint-gap-4`,children:[_jsx(`div`,{className:`mint-w-8 mint-h-8 mint-flex mint-items-center mint-justify-center mint-flex-shrink-0`,children:_jsx(OptimizedImage,{src:`https://mintlify-assets.b-cdn.net/perplexity/eye.svg`,alt:`Decision Making`,className:`mint-w-8 mint-h-8`})}),_jsx(`div`,{children:_jsx(`h3`,{className:`mint-font-medium mint-mb-2`,children:`Strategic decision making with comprehensive analysis`})})]})]})]}),_jsxs(`div`,{className:`mint-px-8 mint-border-b border-border mint-py-8`,children:[_jsxs(CodeGroup,{children:[_jsx(CodeBlock,{filename:`cURL`,numberOfLines:`13`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`13`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --request`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` POST`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --url`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` https://api.perplexity.ai/v1/sonar`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --header`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Authorization: Bearer \u003ctoken>\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --header`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Content-Type: application/json\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --data`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` '{`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"model\": \"sonar-reasoning-pro\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"messages\": [`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` {`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"role\": \"user\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"content\": \"Analyze the feasibility of fusion energy becoming a mainstream power source by 2040.\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` ]`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` }'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` |`}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:` jq`})]}),`\n`]})})}),_jsx(CodeBlock,{filename:`python`,numberOfLines:`17`,language:`python`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`python`,children:_jsxs(_components.code,{language:`python`,numberOfLines:`17`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`import`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` requests`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`url `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"https://api.perplexity.ai/v1/sonar\"`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`payload `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"model\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"sonar-reasoning-pro\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"messages\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"role\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"user\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"content\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Analyze the feasibility of fusion energy becoming a mainstream power source by 2040.\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`headers `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Authorization\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Bearer \u003ctoken>\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Content-Type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"application/json\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`response `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` requests.post(url, `}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:`json`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`payload, `}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:`headers`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`headers)`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#DCDCAA`},children:`print`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(response.json())`})]}),`\n`]})})})]}),_jsx(Note,{children:_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[`The `,_jsx(_components.code,{children:`sonar-reasoning-pro`}),` model is designed to output a `,_jsx(_components.code,{children:`\u003cthink>`}),` section containing reasoning tokens, immediately followed by a valid JSON object. As a result, the `,_jsx(_components.code,{children:`response_format`}),` parameter does not remove these reasoning tokens from the output. We recommend using a custom parser to extract the valid JSON portion, and an example implementation can be found `,_jsx(_components.a,{href:`https://github.com/ppl-ai/api-discussion/blob/main/utils/extract_json_reasoning_models.py`,children:`here`}),`.`]}),`\n`]})}),_jsx(_components.p,{children:_jsx(_components.strong,{children:`Sample Response Metadata`})}),_jsx(CodeBlock,{filename:`Success Response`,wrap:`true`,expandable:`true`,numberOfLines:`76`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`76`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"f9a5c42b-a53f-4c63-8e68-80d927221e7a\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"model\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"sonar-reasoning-pro\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"created\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1756486858`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"usage\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"prompt_tokens\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`17`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"completion_tokens\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1152`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"total_tokens\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1169`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"search_context_size\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"low\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"cost\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"input_tokens_cost\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0.0`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"output_tokens_cost\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0.009`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"request_cost\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0.006`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"total_cost\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0.015`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`},`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"citations\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"https://pubs.aip.org/physicstoday/article/77/12/22/3321123/UK-coalition-gears-up-to-demonstrate-commercial\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"https://energy.mit.edu/news/mit-study-shows-that-fusion-energy-could-play-a-major-role-in-the-global-response-to-climate-change/\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"https://www.world-nuclear-news.org/Articles/US-could-operate-a-fusion-plant-by-2040-Academy-sa\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"https://www.youtube.com/watch?v=qUkn8FarAcw\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"https://world-nuclear.org/information-library/current-and-future-generation/nuclear-fusion-power\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"search_results\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"title\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"UK coalition gears up to demonstrate commercial viability of ...\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://pubs.aip.org/physicstoday/article/77/12/22/3321123/UK-coalition-gears-up-to-demonstrate-commercial\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"date\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2024-12-01\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"last_updated\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2025-05-24\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"snippet\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"The UK plans to build a prototype fusion plant by the early 2040s that can put electricity on the grid and demonstrates that fusion energy is commercially ...See more\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"title\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"MIT study shows that fusion energy could play a major role ...\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://energy.mit.edu/news/mit-study-shows-that-fusion-energy-could-play-a-major-role-in-the-global-response-to-climate-change/\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"date\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2024-10-16\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"last_updated\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2024-10-18\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"snippet\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Experts in energy systems modeling and fusion technology explore the future role of fusion at various costs and carbon constraints.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"title\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"US could operate a fusion plant by 2040, Academy says\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://www.world-nuclear-news.org/Articles/US-could-operate-a-fusion-plant-by-2040-Academy-sa\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"date\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2021-03-12\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"last_updated\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2024-12-22\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"snippet\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"It identifies key goals and innovations needed to support the development of a US fusion pilot plant, many of which it says should be developed ...See more\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"title\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"MIT Cracked Nuclear Fusion.. And it Might Have Just ...\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://www.youtube.com/watch?v=qUkn8FarAcw\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"date\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2025-05-31\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"last_updated\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2025-08-23\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"snippet\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"This single breakthrough from MIT may have just triggered the beginning of the end for the global oil industry.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"title\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Nuclear Fusion Power\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://world-nuclear.org/information-library/current-and-future-generation/nuclear-fusion-power\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"date\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2025-06-05\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"last_updated\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2025-08-29\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"snippet\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"STEP is scheduled for completion in 2040. In February 2022 researchers at JET achieved 59 megajoules of heat energy from fusion over a five- ...See more\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"object\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"chat.completion\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"choices\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"index\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"finish_reason\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"stop\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"role\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"assistant\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"content\": \"\u003cthink>\\\\nThe user is asking me to analyze the feasibility of fusion energy becoming a mainstream power source by 2040. Let me look at the search results to see what information is available about fusion energy timelines and viability.\\\\n\\\\nFrom the search results:\\\\n\\\\n1. UK STEP program plans to build a prototype fusion plant by early 2040s that can put electricity on the grid and demonstrate commercial viability. Goal is to produce about 100 MW of net electricity.\\\\n\\\\n2. MIT study shows fusion technologies may be a decade away from commercial deployment, with focus on determining what cost levels fusion plants must reach by 2050 to achieve strong market penetration.\\\\n\\\\n3. US could operate a fusion pilot plant by 2040 according to the National Academy. The report suggests the US is positioned to begin planning its first fusion pilot plant now to meet the challenge of operating between 2035 and 2040.\\\\n\\\\n4. YouTube video discussing MIT breakthrough and market projections of $80 billion by 2035 and $350 billion by 2050.\\\\n\\\\n5. World Nuclear Association mentions STEP scheduled for completion in 2040, and various tokamak projects including ITER operating in the 2020s and CFETR due for completion in 2030.\\\\n\\\\nSo I need to analyze the feasibility based on:\\\\n- Technical challenges and progress\\\\n- Timeline considerations \\\\n- Economic factors\\\\n- Current projects and milestones\\\\n\\\\nThe query is asking for analysis, so I should provide a comprehensive assessment covering different aspects. This seems like it would benefit from multiple sections since it's a complex topic.\\\\n\\\\nLet me structure this as:\\\\n- Current state and recent progress\\\\n- Technical challenges \\\\n- Timeline analysis\\\\n- Economic considerations\\\\n- Conclusion on feasibility\\\\n\\\\nI need to be careful about the restrictions - no hedging language, no \\\\\"according to search results\\\\\" phrases, cite sources appropriately, use past tense for events that happened before the current date (August 29, 2025).\\\\n\u003c/think>\\\\n\\\\nThe prospect of fusion energy becoming a mainstream power source by 2040 represents one of the most ambitious technological challenges of our time, with significant progress being made but substantial hurdles remaining.\\\\n\\\\n## Current State and Recent Breakthroughs\\\\n\\\\nMultiple major projects are converging on the 2040 timeline with varying degrees of ambition. The UK's Spherical Tokamak for Energy Production (STEP) program aims to build a prototype fusion plant by the early 2040s that can deliver electricity to the grid and demonstrate commercial viability, targeting approximately 100 MW of net electricity output[1]. The United States has positioned itself to operate a fusion pilot plant between 2035 and 2040, with the National Academy concluding that requisite resources and planning can support this timeline[3].\\\\n\\\\nSeveral critical technological milestones have been achieved in recent years. The Joint European Torus (JET) achieved 59 megajoules of heat energy from fusion, while multiple tokamak facilities continue advancing the science[5]. The international ITER project, currently under construction in France, will become the largest tokamak when it operates in the 2020s, providing crucial data for commercial development[5].\\\\n\\\\n## Technical and Engineering Challenges\\\\n\\\\nThe technical demands for achieving mainstream fusion power by 2040 are **formidable**. Current fusion technologies face three primary engineering challenges: achieving sustained net energy output, maintaining adequate tritium supply for fuel, and demonstrating long-term operational maintenance capabilities[1]. Even successful projects like STEP acknowledge these goals as \\\\\"massively ambitious\\\\\" but \\\\\"just about doable\\\\\"[1].\\\\n\\\\nThe transition from experimental reactors to commercial power plants requires solving complex materials science problems, particularly regarding radiation-resistant components and magnetic confinement systems. The Chinese Fusion Engineering Test Reactor (CFETR), designed to be larger than ITER and scheduled for completion in 2030, represents a critical stepping stone toward commercial viability[5].\\\\n\\\\n## Economic Feasibility and Market Dynamics\\\\n\\\\nEconomic projections suggest the fusion market could reach $80 billion by 2035 and potentially exceed $350 billion by 2050[4]. However, research indicates that fusion technologies may still be a decade away from commercial deployment, with detailed costs of future commercial fusion power plants remaining uncertain[2].\\\\n\\\\nThe economic viability of fusion power will depend heavily on achieving competitive cost levels compared to other energy sources, including conventional fossil fuels, nuclear fission, renewable energy, and storage technologies[2]. Regulatory frameworks will play a crucial role as cost drivers, potentially creating significant barriers or enablers depending on policy approaches[2].\\\\n\\\\n## Timeline Reality Check\\\\n\\\\nWhile pilot plants and demonstration facilities may operate by 2040, achieving **mainstream** adoption requires distinguishing between proving technical feasibility and scaling to widespread commercial deployment. The evidence suggests 2040 will likely mark the beginning of commercial demonstration rather than mainstream adoption.\\\\n\\\\nResearch emphasizes that if cost and performance targets can be achieved, fusion energy can play a major role in meeting future electricity needs and achieving global net-zero carbon goals[2]. However, this transition will more likely occur in the latter half of the century rather than by 2040.\\\\n\\\\n## Assessment of 2040 Feasibility\\\\n\\\\nFusion energy becoming a mainstream power source by 2040 faces significant feasibility constraints. While multiple pilot plants and demonstration facilities will likely operate by this date, true mainstream adoption requires overcoming substantial technical, economic, and scaling challenges that extend beyond the 2040 timeline.\\\\n\\\\nThe convergence of major international projects, substantial investment flows, and recent technical breakthroughs creates a foundation for commercial fusion power. However, the transition from demonstration to mainstream deployment typically requires additional decades for technology maturation, cost reduction, and infrastructure development. The 2040s will more realistically represent the **beginning** of the commercial fusion era rather than its mainstream adoption.\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"delta\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"role\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"assistant\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"content\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsxs(Accordion,{title:`Cost Breakdown for Sample Request`,id:`cost-breakdown-for-sample-request`,children:[_jsxs(Info,{children:[_jsx(_components.p,{children:_jsx(_components.strong,{children:`Token Usage`})}),_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`Prompt Tokens: 17`}),`\n`,_jsx(_components.li,{children:`Completion Tokens: 1152`}),`\n`,_jsx(_components.li,{children:`Search Context Size: Low`}),`\n`]})]}),_jsxs(Steps,{children:[_jsx(Step,{title:`Calculate Input Tokens Cost`,children:_jsxs(_components.p,{children:[`17 tokens ÷ 1,000,000 × `,`$2 = $`,`0.000034`]})}),_jsx(Step,{title:`Calculate Output Tokens Cost`,children:_jsxs(_components.p,{children:[`1152 tokens ÷ 1,000,000 × `,`$8 = $`,`0.009216`]})}),_jsx(Step,{title:`Calculate Search Context Cost`,children:_jsxs(_components.p,{children:[`1 request × `,`$6 ÷ 1,000 = $`,`0.006`]})}),_jsx(Step,{title:`Calculate Total Cost`,children:_jsxs(_components.p,{children:[`$0.000034 + $`,`0.009216 + `,`$0.006 = $`,`0.015250`]})})]}),_jsx(Check,{children:_jsx(_components.p,{children:_jsx(_components.strong,{children:`Total cost for this request: $0.015250`})})})]})]})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{SonarLegacyNotice,default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"hidden":true,"title":"Sonar Reasoning Pro (Legacy — Superseded by Agent API)","sidebarTitle":"Sonar Reasoning Pro","description":"Legacy Sonar documentation (superseded by the Perplexity Agent API at POST /v1/agent). Learn about Sonar Reasoning Pro for advanced multi-step reasoning, including pricing and API usage.","mode":"frame","href":"/docs/legacy/sonar/models/sonar-reasoning-pro","hiddenSetByFrontmatter":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/perplexity/a3bce64cf9d1b46a/section-menu.js","/_mintlify/custom/perplexity/594e3514bce8f9d1/navbar-cta.js","/_mintlify/custom/perplexity/72c576fa3737c96e/singular-tracking.js"],"dynamicCss":".mint-mx-auto {\n margin-left: auto;\n margin-right: auto\n}\n.mint-mb-2 {\n margin-bottom: 0.5rem\n}\n.mint-mb-6 {\n margin-bottom: 1.5rem\n}\n.mint-mb-8 {\n margin-bottom: 2rem\n}\n.mint-mr-2 {\n margin-right: 0.5rem\n}\n.mint-mt-2 {\n margin-top: 0.5rem\n}\n.mint-mt-4 {\n margin-top: 1rem\n}\n.mint-mt-6 {\n margin-top: 1.5rem\n}\n.mint-flex {\n display: flex\n}\n.mint-inline-flex {\n display: inline-flex\n}\n.mint-grid {\n display: grid\n}\n.mint-h-4 {\n height: 1rem\n}\n.mint-h-48 {\n height: 12rem\n}\n.mint-h-8 {\n height: 2rem\n}\n.mint-w-4 {\n width: 1rem\n}\n.mint-w-8 {\n width: 2rem\n}\n.mint-w-\\[80\\%\\] {\n width: 80%\n}\n.mint-w-full {\n width: 100%\n}\n.mint-max-w-5xl {\n max-width: 64rem\n}\n.mint-max-w-6xl {\n max-width: 72rem\n}\n.mint-flex-shrink-0 {\n flex-shrink: 0\n}\n.mint-grid-cols-1 {\n grid-template-columns: repeat(1, minmax(0, 1fr))\n}\n.mint-flex-col {\n flex-direction: column\n}\n.mint-items-start {\n align-items: flex-start\n}\n.mint-items-center {\n align-items: center\n}\n.mint-justify-center {\n justify-content: center\n}\n.mint-justify-between {\n justify-content: space-between\n}\n.mint-gap-2 {\n gap: 0.5rem\n}\n.mint-gap-4 {\n gap: 1rem\n}\n.mint-gap-8 {\n gap: 2rem\n}\n.mint-space-y-2 > :not([hidden]) ~ :not([hidden]) {\n --tw-space-y-reverse: 0;\n margin-top: calc(0.5rem * calc(1 - var(--tw-space-y-reverse)));\n margin-bottom: calc(0.5rem * var(--tw-space-y-reverse))\n}\n.mint-space-y-6 > :not([hidden]) ~ :not([hidden]) {\n --tw-space-y-reverse: 0;\n margin-top: calc(1.5rem * calc(1 - var(--tw-space-y-reverse)));\n margin-bottom: calc(1.5rem * var(--tw-space-y-reverse))\n}\n.mint-rounded-lg {\n border-radius: 0.5rem\n}\n.mint-rounded-xl {\n border-radius: 0.75rem\n}\n.mint-border {\n border-width: 1px\n}\n.mint-border-b {\n border-bottom-width: 1px\n}\n.mint-border-t {\n border-top-width: 1px\n}\n.mint-p-4 {\n padding: 1rem\n}\n.mint-px-8 {\n padding-left: 2rem;\n padding-right: 2rem\n}\n.mint-py-8 {\n padding-top: 2rem;\n padding-bottom: 2rem\n}\n.mint-pb-8 {\n padding-bottom: 2rem\n}\n.mint-pt-8 {\n padding-top: 2rem\n}\n.mint-text-left {\n text-align: left\n}\n.mint-text-center {\n text-align: center\n}\n.mint-font-mono {\n font-family: ui-monospace, SFMono-Regular, Menlo, Monaco, Consolas, \"Liberation Mono\", \"Courier New\", monospace\n}\n.mint-text-3xl {\n font-size: 1.875rem;\n line-height: 2.25rem\n}\n.mint-text-lg {\n font-size: 1.125rem;\n line-height: 1.75rem\n}\n.mint-text-sm {\n font-size: 0.875rem;\n line-height: 1.25rem\n}\n.mint-text-xl {\n font-size: 1.25rem;\n line-height: 1.75rem\n}\n.mint-text-xs {\n font-size: 0.75rem;\n line-height: 1rem\n}\n.mint-font-medium {\n font-weight: 500\n}\n.mint-font-semibold {\n font-weight: 600\n}\n.mint-leading-relaxed {\n line-height: 1.625\n}\n.mint-text-white {\n --tw-text-opacity: 1;\n color: rgb(255 255 255 / var(--tw-text-opacity, 1))\n}\n.mint-transition-colors {\n transition-property: color, background-color, border-color, text-decoration-color, fill, stroke;\n transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);\n transition-duration: 150ms\n}\n@media (min-width: 640px) {\n .sm\\:mint-px-8 {\n padding-left: 2rem;\n padding-right: 2rem\n }\n}\n@media (min-width: 768px) {\n .md\\:mint-grid-cols-2 {\n grid-template-columns: repeat(2, minmax(0, 1fr))\n }\n .md\\:mint-grid-cols-3 {\n grid-template-columns: repeat(3, minmax(0, 1fr))\n }\n}\n@media (min-width: 1024px) {\n .lg\\:mint-px-12 {\n padding-left: 3rem;\n padding-right: 3rem\n }\n}\n@media (min-width: 1280px) {\n .xl\\:mint-px-16 {\n padding-left: 4rem;\n padding-right: 4rem\n }\n}","subdomain":"perplexity","siteName":"Perplexity","title":"Sonar Reasoning Pro (Legacy — Superseded by Agent API) - Perplexity","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-11-10T14:15:08.878Z","originalFileLocation":"docs/legacy/sonar/models/sonar-reasoning-pro.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Legacy Sonar documentation (superseded by the Perplexity Agent API at POST /v1/agent). Learn about Sonar Reasoning Pro for advanced multi-step reasoning, including pricing and API usage.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Perplexity\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003cmeta data-mint-head name=\"robots\" content=\"noindex\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/perplexity/rSPP83rcZL_iw-xo/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/perplexity/rSPP83rcZL_iw-xo/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/perplexity/rSPP83rcZL_iw-xo/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/perplexity/rSPP83rcZL_iw-xo/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/perplexity/rSPP83rcZL_iw-xo/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/perplexity/rSPP83rcZL_iw-xo/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/perplexity/rSPP83rcZL_iw-xo/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/perplexity/rSPP83rcZL_iw-xo/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/perplexity/rSPP83rcZL_iw-xo/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Sonar Reasoning Pro (Legacy — Superseded by Agent API) - Perplexity\">\u003cmeta data-mint-head property=\"og:description\" content=\"Legacy Sonar documentation (superseded by the Perplexity Agent API at POST /v1/agent). Learn about Sonar Reasoning Pro for advanced multi-step reasoning, including pricing and API usage.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Perplexity\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.perplexity.ai/docs/legacy/sonar/models/sonar-reasoning-pro\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://perplexity.mintlify.site/_mintlify/api/og/v2?division=Documentation\u0026amp;title=Sonar+Reasoning+Pro+%28Legacy+%E2%80%94+Superseded+by+Agent+API%29\u0026amp;description=Legacy+Sonar+documentation+%28superseded+by+the+Perplexity+Agent+API+at+POST+%2Fv1%2Fagent%29.+Learn+about+Sonar+Reasoning+Pro+for+advanced+multi-step+reasoning%2C+includ\u0026amp;theme=a240f15e82adca13791ab50d\u0026amp;signature=89b60f4cacf96b8e9e1b0c50d63bac527a3e18c2dcda0ff53fea5286d468eb14\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Sonar Reasoning Pro (Legacy — Superseded by Agent API) - Perplexity\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Legacy Sonar documentation (superseded by the Perplexity Agent API at POST /v1/agent). Learn about Sonar Reasoning Pro for advanced multi-step reasoning, including pricing and API usage.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://perplexity.mintlify.site/_mintlify/api/og/v2?division=Documentation\u0026amp;title=Sonar+Reasoning+Pro+%28Legacy+%E2%80%94+Superseded+by+Agent+API%29\u0026amp;description=Legacy+Sonar+documentation+%28superseded+by+the+Perplexity+Agent+API+at+POST+%2Fv1%2Fagent%29.+Learn+about+Sonar+Reasoning+Pro+for+advanced+multi-step+reasoning%2C+includ\u0026amp;theme=a240f15e82adca13791ab50d\u0026amp;signature=89b60f4cacf96b8e9e1b0c50d63bac527a3e18c2dcda0ff53fea5286d468eb14\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/perplexity/rSPP83rcZL_iw-xo/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Perplexity\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#121516\">\u003cmeta data-mint-head name=\"google-site-verification\" content=\"l-0uTKc1Uf60LaNt0Pkw1wLOBFEKoBIhUrv0EMr1J4U\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.perplexity.ai/docs/legacy/sonar/models/sonar-reasoning-pro\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/docs/legacy/sonar/models/sonar-reasoning-pro.md\">","agentPointerHref":"/docs/legacy/sonar/models/sonar-reasoning-pro.md","siteName":"Perplexity","nav":{"global":{"anchors":[{"anchor":"Community","icon":{"style":"regular","name":"message-circle"},"href":"https://community.perplexity.ai"},{"anchor":"Blog","icon":{"style":"regular","name":"pencil"},"href":"https://research.perplexity.ai/articles"},{"anchor":"Changelog","icon":{"style":"regular","name":"clock"},"href":"/docs/resources/changelog"}]},"tabs":[{"tab":"Docs","groups":[{"group":"Getting Started","pages":[{"mode":"frame","title":"Overview","href":"/docs/getting-started/overview"},{"title":"Quickstart","href":"/docs/getting-started/quickstart"},{"title":"Pricing","href":"/docs/getting-started/pricing"},{"title":"Perplexity API MCP Server","sidebarTitle":"Perplexity API MCP","href":"/docs/getting-started/integrations/mcp-server"},{"title":"Perplexity Computer MCP Server","sidebarTitle":"Perplexity Computer MCP","href":"/docs/getting-started/integrations/computer-mcp-server"},{"title":"Perplexity CLI","href":"/docs/cli/overview"}]},{"group":"Orchestrator API","pages":[{"title":"Perplexity Orchestrator API","sidebarTitle":"Quickstart","href":"/docs/orchestrator/quickstart"},{"title":"Orchestrator Models \u0026 Pricing","sidebarTitle":"Models","mode":"wide","href":"/docs/orchestrator/models"},{"title":"Routing \u0026 Reliability","href":"/docs/orchestrator/routing-and-reliability"},{"title":"Orchestrator API FAQ","sidebarTitle":"FAQ","href":"/docs/orchestrator/faq"}]},{"group":"Agent API","boost":3,"pages":[{"title":"Agent API","sidebarTitle":"Quickstart","href":"/docs/agent-api/quickstart"},{"group":"Building agents","pages":[{"title":"Define the run","sidebarTitle":"Define the run","href":"/docs/agent-api/building-agents/define-the-run"},{"title":"Prompt the agent","sidebarTitle":"Prompt the agent","href":"/docs/agent-api/building-agents/prompt-the-agent"},{"title":"Give it tools","sidebarTitle":"Give it tools","href":"/docs/agent-api/building-agents/give-it-tools"},{"title":"Run code","sidebarTitle":"Run code","href":"/docs/agent-api/building-agents/run-code"},{"title":"Structure the output","sidebarTitle":"Structure the output","href":"/docs/agent-api/building-agents/shape-output"},{"title":"Keep context","sidebarTitle":"Keep context","href":"/docs/agent-api/building-agents/keep-context"}]},{"group":"Models \u0026 Configuration","pages":[{"title":"Agent API Models","sidebarTitle":"Models","mode":"wide","href":"/docs/agent-api/models"},{"title":"Effort","sidebarTitle":"Effort","href":"/docs/agent-api/effort"},{"title":"Profiles","sidebarTitle":"Profiles","href":"/docs/agent-api/profiles"},{"title":"Model Fallback","sidebarTitle":"Model Fallback","href":"/docs/agent-api/model-fallback"},{"title":"Prompt Caching","sidebarTitle":"Prompt Caching","href":"/docs/agent-api/prompt-caching"}]},{"group":"Tools","expanded":false,"pages":[{"title":"Tools overview","sidebarTitle":"Overview","href":"/docs/agent-api/tools/overview"},{"title":"Web Search","sidebarTitle":"Web Search","href":"/docs/agent-api/tools/web-search"},{"title":"Image Search","sidebarTitle":"Image Search","href":"/docs/agent-api/tools/image-search"},{"title":"Sandbox","sidebarTitle":"Sandbox","href":"/docs/agent-api/tools/sandbox"},{"title":"Fetch URL Content","sidebarTitle":"Fetch URL Content","href":"/docs/agent-api/tools/fetch-url-content"},{"title":"Finance Search","sidebarTitle":"Finance Search","href":"/docs/agent-api/tools/finance-search"},{"title":"People Search","sidebarTitle":"People Search","href":"/docs/agent-api/tools/people-search"},{"title":"MCP","sidebarTitle":"MCP","href":"/docs/agent-api/tools/mcp"},{"title":"Connectors","sidebarTitle":"Connectors","href":"/docs/agent-api/tools/connectors"},{"title":"Custom Functions","sidebarTitle":"Custom Functions","href":"/docs/agent-api/tools/custom-functions"}]},{"group":"Features","pages":[{"title":"Output Control","href":"/docs/agent-api/output-control"},{"title":"Conversation state","sidebarTitle":"Conversation state","href":"/docs/agent-api/conversation-state"},{"title":"Image Attachments","href":"/docs/agent-api/image-attachments"},{"title":"Background Mode","sidebarTitle":"Background Mode","href":"/docs/agent-api/background-mode"},{"title":"Batch API","sidebarTitle":"Batch API","href":"/docs/agent-api/batch"},{"title":"Working with Files","sidebarTitle":"Working with Files","href":"/docs/agent-api/working-with-files"},{"title":"Skills","sidebarTitle":"Skills","href":"/docs/agent-api/skills"}]},{"title":"OpenAI Compatibility","href":"/docs/agent-api/openai-compatibility"},{"group":"Migrate from Sonar","pages":[{"title":"Migrate from Sonar to the Agent API","sidebarTitle":"Overview","href":"/docs/agent-api/migrate-from-sonar/overview"},{"title":"How to migrate from Sonar","sidebarTitle":"How to migrate","href":"/docs/agent-api/migrate-from-sonar/how-to"},{"title":"Agent API vs Sonar benchmarks","sidebarTitle":"Benchmarks","href":"/docs/agent-api/migrate-from-sonar/benchmarks"}]},{"title":"Prompt Guide","href":"/docs/agent-api/prompt-guide"}]},{"group":"Search API","pages":[{"title":"Search API Overview","sidebarTitle":"Overview","href":"/docs/search/overview"},{"title":"Perplexity Search API","sidebarTitle":"Quickstart","href":"/docs/search/quickstart"},{"title":"Fast Search","sidebarTitle":"Fast Search","href":"/docs/search/fast-search"},{"title":"Best Practices","href":"/docs/search/best-practices"},{"title":"Perplexity Search SDK","sidebarTitle":"Search SDK for agents","href":"/docs/search-sdk/overview"},{"group":"Agent SDKs","pages":[{"title":"Use Search API with the Anthropic SDK","sidebarTitle":"Anthropic","href":"/docs/search/agent-sdks/anthropic"},{"title":"Use Search API with the OpenAI SDK","sidebarTitle":"OpenAI","href":"/docs/search/agent-sdks/openai"},{"title":"Use Search API with the Google Gemini SDK","sidebarTitle":"Gemini","href":"/docs/search/agent-sdks/gemini"}]},{"group":"Filters","pages":[{"title":"Search Date and Time Filters","href":"/docs/search/filters/date-time-filters"},{"title":"Search Language Filter","href":"/docs/search/filters/language-filter"},{"title":"Search Domain Filter","href":"/docs/search/filters/domain-filter"},{"title":"People Search","href":"/docs/search/filters/people-search"}]}]},{"group":"Monitor API","pages":[{"title":"Overview","href":"/docs/monitors/overview"},{"title":"Search","href":"/docs/monitors/search-monitoring"},{"title":"Page","href":"/docs/monitors/page-monitoring"}]},{"group":"Context API","pages":[{"title":"Context API quickstart","sidebarTitle":"Quickstart","href":"/docs/context/quickstart"}]},{"group":"Embeddings API","pages":[{"title":"Embeddings API","sidebarTitle":"Quickstart","href":"/docs/embeddings/quickstart"},{"title":"Best Practices","href":"/docs/embeddings/best-practices"},{"title":"Standard Embeddings","href":"/docs/embeddings/standard-embeddings"},{"title":"Contextualized Embeddings","href":"/docs/embeddings/contextualized-embeddings"}]},{"group":"Decisions API","pages":[{"title":"Decisions API","sidebarTitle":"Quickstart","href":"/docs/decisions/quickstart"},{"title":"Decider for Mac","sidebarTitle":"Decider for Mac","href":"/docs/decisions/decider-for-mac"}]},{"group":"Perplexity SDK","pages":[{"title":"Quickstart","href":"/docs/sdk/overview"},{"group":"Guides","pages":[{"title":"Configuration","href":"/docs/sdk/configuration"},{"title":"Error Handling","href":"/docs/sdk/error-handling"},{"title":"Performance Optimization","href":"/docs/sdk/performance"},{"title":"Type Safety","href":"/docs/sdk/type-safety"},{"title":"Best Practices","href":"/docs/sdk/best-practices"}]}]},{"group":"Admin \u0026 Management","pages":[{"title":"Signing In to the API Portal","sidebarTitle":"Signing In","href":"/docs/admin/signing-in"},{"title":"Projects \u0026 Billing","href":"/docs/getting-started/projects"},{"title":"API Key Management","href":"/docs/admin/api-key-management"},{"title":"Safety Identifiers","href":"/docs/admin/safety-identifiers"},{"title":"Analytics API","href":"/docs/admin/computer-analytics-api"},{"title":"Audit API","sidebarTitle":"Audit API","href":"/docs/admin/audit-api"},{"title":"Rate Limits \u0026 Usage Tiers","href":"/docs/admin/rate-limits-usage-tiers"},{"title":"AWS Marketplace","href":"/docs/resources/aws-marketplace"}]},{"group":"Resources","pages":[{"group":"Integrations","pages":[{"title":"Perplexity with AG2","sidebarTitle":"AG2","href":"/docs/getting-started/integrations/ag2"},{"title":"Perplexity with Agno","sidebarTi
[...]
